import { Component ,Inject,ViewChild,AfterViewInit} from '@angular/core';
import { DataSvc } from '../services/DataSvc';

import * as wjCore from 'wijmo/wijmo';
import * as wjGrid from 'wijmo/wijmo.grid';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent implements AfterViewInit {
    title = 'FlexGrid grouping and Aggregate';
    public data: wjCore.CollectionView;
    protected dataSvc: DataSvc;
    @ViewChild('grid') grid: wjGrid.FlexGrid;
    constructor( @Inject(DataSvc) dataSvc: DataSvc) {
        this.dataSvc = dataSvc;
        this.data = new wjCore.CollectionView(this.dataSvc.getData(8));
        this.data.groupDescriptions.push(new wjCore.PropertyGroupDescription('id'), new wjCore.PropertyGroupDescription('country'));
    }
    ngAfterViewInit() {
        if (this.grid) {
            this.grid.collapseGroupsToLevel(1);
            this.grid.formatItem.addHandler((s: wjGrid.FlexGrid, e: wjGrid.FormatItemEventArgs) => {
                if (e.panel == s.cells) {
                    let row = s.rows[e.row],
                        col = s.columns[e.col],
                        group = row instanceof wjGrid.GroupRow ? row.dataItem : null;
                    if (group && col.binding == 'active') {
                        e.cell.innerHTML=this.cntTrue(group);
                    }
                }
            });
        }
    }
    cntTrue(dataItem) {
        var cnt = 0;
        for (let i = 0; i < dataItem.items.length; i++) {
            if (dataItem.items[i].active) {
                cnt++;
            }
        }
        return 'true:('+cnt+' item)' ;
    }
    
  
}
